/* StageSizeTest.as: test on stage's width/height value and resize event */

class StageSizeTest extends MovieClip {
	public static var app : StageSizeTest;
	
	public function StageSizeTest() {
		var msg;
		
		trace("<init>: start");
		
		var listener:Object = new Object();
		listener.onResize = changed;
		Stage.addListener(listener);
		
		Stage.align="TL";
		Stage.scaleMode="noScale";
		
		/* 320x240 if no stage dimensions (happens in IE: 0 before stage resize event fires) */
		var w = Stage.width?Stage.width:320;
		var h = Stage.height?Stage.height:240;
		trace("w: "+w+" h: "+h);
		
		msg = _root.createTextField("msg", 0, 0, 0, w, h);
		msg.x = 0;
		msg.y = 0;		
		msg.text = "Hello World";
		
		trace("<init>: end");
	}
	
	public function changed():Void {
		trace("w: "+Stage.width+" h: "+Stage.height+" (resized)");
	}
	
	public static function main(mc:MovieClip):Void {
		app = new StageSizeTest();
	}
}

